Provide metadata support on Wikimedia Commons
Open, NormalPublic

Tokens
"Like" token, awarded by Kozuch."Like" token, awarded by Nemo_bis."Like" token, awarded by He7d3r.
Assigned To
None
Authored By
bzimport, Feb 15 2009

Description

Author: brianna.laugher

Description:
This request is extension-agnostic. We will work with whichever extension y'all choose.
e.g. http://www.mediawiki.org/wiki/Extension:RDF
or http://www.mediawiki.org/wiki/Extension:Semantic_MediaWiki

This request has strong, unanimous support and more to the point, is good for Mission-fulfilling, regardless of what the community thinks. :)


Version: unspecified
Severity: enhancement
URL: http://commons.wikimedia.org/wiki/Commons:Village_pump/Request_for_extension_to_provide_metadata_support
See Also:
https://bugzilla.wikimedia.org/show_bug.cgi?id=9617

bzimport set Reference to bz17503.
bzimport added a subscriber: Unknown Object (MLST).

Daniel, thanks for the interesting addition of bug 38622 as dependency, I didn't have any idea that was related! I'm reading [[mw:ContentHandler]] and posting a couple questions there.

sumanah wrote:

It seems to me that we'll be able to fulfill this need with Wikidata, so this bug is waiting on that. Changed summary and taking it out of https://www.mediawiki.org/wiki/Review_queue#Extensions . Thanks.

Yeah Wikidata is probably abel to do what you want in the end. Be aware however that this is not the focus of the initial development. We'll first need to get the thing ready and rolled out for Wikipedia before we look at others :) For some of the future plans check out http://meta.wikimedia.org/wiki/Wikidata/Notes/Future

TheDJ added a comment.Nov 1 2012, 12:17 PM

Well possibly we don't even need Wikidata. ContentHandler already might help a lot in being able to change the structure behind a File page in a gradual and administrated way, with or without wikidata

(In reply to comment #4)

Well possibly we don't even need Wikidata. ContentHandler already might help a
lot in being able to change the structure behind a File page in a gradual and
administrated way, with or without wikidata

I absolutely agree. Using Wikidata for this would be rather awkward.

I discussed this a bit with RobLa at Wikimania. One first idea was to add a data sub-page to image description pages, e.g. File:Foo.jpg/meta, that would contain all the meta data as structured data.

This could be handled by an extension providing a CopntentHandler for image metadata, independently of Wikidata.

I'm planning to look into making an API module that would read the data on commons file description page.

Folks interested in this bug - I made a bunch of patches and have some evil plans. Please read http://lists.wikimedia.org/pipermail/wikitech-l/2013-August/071593.html and comment.

Change 80403 had a related patch set uploaded by MarkTraceur:
Extension to screen scrape metadata out of commons

https://gerrit.wikimedia.org/r/80403

Change 80403 merged by jenkins-bot:
Extension to screen scrape metadata out of commons

https://gerrit.wikimedia.org/r/80403

[Resetting to NEW as patch in comment 8 and comment 9 has been merged, but there seems to be more work to do here.]

IMHO a very big issue with semantic web.
Already on DBpedia and now on wikidata, there is currently no way to get
automatically metadata of a mediafile. On wikidata with the very used property p18, https://www.wikidata.org/wiki/Property:P18, the data is queryable by API but it's not possible to get basic information such as licence or author. In the near future, and it has already begun, we will probably see a big dissemination of data and content via semantic technologies ; Wikimedia Commons mediafile are not ready.

I should be better to provide first simple and necessary information as licence and author (and maybe source). Those metadata should have to be simply accessible by programs and to be systematically provided by API or embedded metadata (EXIF, IPTC, XMP...)
The risk of big failure is that if nothing is done, it will be impossible to display simply those information in semantic flows even for those who would to, :/.

Steinsplitter moved this task from Incoming to Backlog on the Commons board.Mar 11 2015, 12:57 PM
RP88 added a subscriber: RP88.Aug 15 2015, 12:33 AM
Restricted Application added subscribers: Steinsplitter, Aklapper. · View Herald TranscriptAug 15 2015, 12:33 AM
Nemo_bis reopened this task as "Open".EditedAug 20 2015, 7:57 AM

This task is not merely about information storage, as shown by the blocking tasks. Sure, T68108 is a spin-off which contains most of the work needed.

Meno25 removed a subscriber: Meno25.Feb 22 2016, 5:59 PM

Add Comment